Page MenuHomePhabricator

Migrate the annotated buildbots to github
ClosedPublic

Authored by rnk on Oct 25 2019, 2:56 PM.

Details

Summary

Reuse the base LLVMBuildFactory logic for checking out and updating
llvm-project instead of implementing it in the script.

There are advantages to putting the 'git' logic in the script, but since
we need a master restart anyway to move to git, we might as well reuse
the buildbot git step for now. I'm not sure what the best practices are
for incrementally updating a git repository anyway.

Event Timeline

rnk created this revision.Oct 25 2019, 2:56 PM
inglorion accepted this revision.Oct 25 2019, 3:37 PM

LGTM.

I'm assuming that addGetSourcecodeSteps takes care of checking out the correct revision. From a cursory look at LLVMBuildFactory and the Buildbot documentation, this appears to be the case.

This revision is now accepted and ready to land.Oct 25 2019, 3:37 PM
rnk added a comment.Oct 28 2019, 3:55 PM

After two more follow-ons, one of the two bots is now green: http://lab.llvm.org:8011/builders/clang-x64-windows-msvc/builds/11758

I'm not sure why sanitizer-windows still thinks it should use svn.

rnk closed this revision.Nov 7 2019, 1:53 PM

Looks like Phab doesn't monitor llvm-zorg commits. This landed here:
https://github.com/llvm/llvm-zorg/commit/c5fbd2ca11d0625e659a1f45f6a083e83c137954